Summary:	WYSIWYW scientific text editor
Name:		texmacs
Version:	1.0.7.16
Release:	%mkrel 3
License:	GPLv2+
Group:		Editors
URL:		http://www.texmacs.org
Source0:	http://www.texmacs.org/Download/ftp/tmftp/source/TeXmacs-%{version}-src.tar.gz
Source10:	TeXmacs.16.png
Source11:	TeXmacs.32.png
Source12:	TeXmacs.48.png
Requires:	texlive

%rename	TeXmacs
%rename	TeXmacs-fonts

BuildRequires:	pkgconfig(x11)
BuildRequires:	freetype2-devel
BuildRequires:	pkgconfig(guile-1.8)
BuildRequires:	qt4-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libxext-devel
BuildRequires:	ghostscript

%description
GNU TeXmacs is a free wysiwyw (what you see is what you want) editing platform
with special features for scientists. The software aims to provide a unified
and user friendly framework for editing structured documents with different
types of content (text, graphics, mathematics, interactive content, etc.).
The rendering engine uses high-quality typesetting algorithms so as to produce
professionally looking documents, which can either be printed out or presented
from a laptop.

The software includes a text editor with support for mathematical formulas,
a small technical picture editor and a tool for making presentations from
a laptop. Moreover, TeXmacs can be used as an interface for many external
systems for computer algebra, numerical analysis, statistics, etc. New
presentation styles can be written by the user and new features can be added
to the editor using the Scheme extension language. A native spreadsheet
and tools for collaborative authoring are planned for later.

%prep
%setup -q -n TeXmacs-%{version}-src

%build
%configure2_5x --enable-optimize="%{optflags}" --with-qt="%qt4dir"
%make LDFLAGS="%{?ldflags}"

%install
%makeinstall_std
export GUILE_DATA_PATH=`guile-config info pkgdatadir`
export GUILE_LOAD_PATH=`find $GUILE_DATA_PATH -type d | grep ice-9`

# icons
install -d %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
cp -a %{SOURCE10} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
cp -a %{SOURCE10} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
cp -a %{SOURCE10} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir -p  %{buildroot}%{_datadir}/applications
cp -a %{buildroot}%{_datadir}/TeXmacs/misc/mime/texmacs.desktop %{buildroot}%{_datadir}/applications/

sed -i -e 's/^Icon=%{name}.xpm$/Icon=%{name}/g' %{buildroot}%{_datadir}/applications/*

desktop-file-install \
  --remove-category="Application" \
  --remove-key="Path" \
  --add-category="Office;WordProcessor;Math;" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%files
%{_bindir}/*
%{_includedir}/TeXmacs.h
%{_mandir}/*/*
%{_libexecdir}/TeXmacs
%{_datadir}/TeXmacs
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/*
%{_datadir}/application-registry/texmacs.applications
%{_datadir}/mime-info/texmacs.keys
%{_datadir}/mime-info/texmacs.mime
%{_datadir}/mime/packages/texmacs.xml
%{_iconsdir}/*/*/*/*
%{_datadir}/pixmaps/TeXmacs.xpm


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0.7.16-3.mga3
+ Revision: 384486
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 05 2012 malo <malo> 1.0.7.16-2.mga3
+ Revision: 288670
- compile against ghostscript to generate correct pdf (Bug 7245)

* Tue Jul 10 2012 fwang <fwang> 1.0.7.16-1.mga3
+ Revision: 269170
- update file list
- br qt4
- use configure2_5x
- use cmake
- new version 1.0.7.16

* Sat Feb 04 2012 malo <malo> 1.0.7.11-2.mga2
+ Revision: 204495
- fix Requires and BuildRequires (thanks to David Walser)

* Thu Feb 02 2012 malo <malo> 1.0.7.11-1.mga2
+ Revision: 203979
- spec clean-up after import from Mandriva
- imported as texmacs instead of TeXmacs
- imported package texmacs

